RC-UPDATE(8)

NAME
rc-update - add and remove services to and from a runlevel

SYNOPSIS
rc-update [-s, --stack] add service [runlevel ...]
rc-update [-s, --stack] [-a, --all] delete service [runlevel ...]
rc-update [-u, --update] [-v, --verbose] show [runlevel ...]

DESCRIPTION
OpenRC uses named runlevels. Rather than editing some obscure file or managing a directory of symlinks, rc-update exists to quickly add or delete services to and from from different runlevels. All services must reside in the /etc/init.d or /usr/local/etc/init.d directories. They must also be standard OpenRC scripts, meaning they must use openrc-run.

add service
    Add the service to the runlevel or the current one if none given. Services added to the boot runlevel must exist in /etc/init.d.

delete service
    Delete the service from the runlevel or the current one if none given.

show
    Show all enabled services and the runlevels they belong to. If you specify runlevels to show, then only those will be included in the output.

-v, --verbose
    Show all services.

-u, --update
    Forces an update of the dependency tree cache. This may be needed in the event of clock skew (a file in /etc is newer than the system clock).

If the -s, --stack option is given then we either add or remove the runlevel from the runlevel. This allows inheritance of runlevels.

If the -a, --all option is given, we remove the service from all runlevels. This is useful, for example, to clean up the dangling symlinks after a service is removed.

SEE ALSO
openrc(8), openrc-run(8), rc-status(8)

AUTHORS
Roy Marples <roy@marples.name> The OpenRC Team <openrc@gentoo.org>